[DRBD-user] how to install DRBD from packages. (was Installing drbd-8.2.6-3.2.x86_64.rpm on SLES 10 SP2)

LActive at GMX.Net LActive at GMX.Net
Thu Jan 22 20:22:01 CET 2009


Lars Ellenberg wrote:

> You need to be subscribed to get your post through automatically.
> We may well be too busy to let them through otherwise,
> and they may even be lost completely without us noticing.
>   
snip1:
Hi Lars,

Pardon. I am actually subscribed. I don't know what happened this time.
Will be careful next time.
I appreciate that you help us here; my first drbd 0.7.x install in Dec
2004 (also from source) has been running since then without faltering -
good product! :-)
I got a bit rusted.

end: goto snip2
> On Thu, Jan 22, 2009 at 03:28:52PM +0100, LLLActive at GMX.Net wrote:
>   
>> Lars Ellenberg wrote:
>>     
>>> On Wed, Jan 21, 2009 at 06:10:47PM +0100, LLLActive at GMX.Net wrote:
>>>   
>>>       
>>>> Log in Syslog:
>>>> modprobe: FATAL: Could not load
>>>> /lib/modules/2.6.16.60-0.21-default/modules.dep: No such file or directory
>>>>
>>>> Any Ideas?
>>>>     
>>>>         
>>> install the drbd _module_?
>>> run depmod?
>>>
>>>   
>>>       
>> Hi again Lars,
>>
>> I made an online update from Novell for the SLES 10 SP2. The kernel
>> changed from 2.6.16.60-0.21-default to 2.6.16.60-0.33-default.
>>
>> The drbd-8.2.6-3.2.x86_64.rpm still does not install properly.
>> I decided to try installing from source for the current kernel.
>>     
>
>
> I tried to explain. I try again.
>   
snip2:

I read the documents on the website and also noticed the userland and
kernel packages etc. That's why I decided to do an install from source.
But, thanx for the patience. I eventually got it working.

end: goto snip 3
>   
>> Which source should I use for a production environment? I see the latest
>> on http://oss.linbit.com/drbd/ is *drbd-8.3.0.tar.gz*
>> <http://oss.linbit.com/drbd/8.3/drbd-8.3.0.tar.gz>
>>     
>
> 8.3.0 is supposed to be production ready.
> it is actually sort of a "8.2.8",
>   
snip3:

Success.

I got drbd-8.3.0.tar.gz installed from source on SLES 10 SP2 on one
system without a problem. It is running, and drbd0 mounted. Thanx for the help!

 :-) 
Al








More information about the drbd-user mailing list